const bundledLanguagesBase = {
  "abap": () => import('./languages/abap.mjs'),
  "actionscript-3": () => import('./languages/actionscript-3.mjs'),
  "ada": () => import('./languages/ada.mjs'),
  "apache": () => import('./languages/apache.mjs'),
  "apex": () => import('./languages/apex.mjs'),
  "apl": () => import('./languages/apl.mjs'),
  "applescript": () => import('./languages/applescript.mjs'),
  "ara": () => import('./languages/ara.mjs'),
  "asm": () => import('./languages/asm.mjs'),
  "astro": () => import('./languages/astro.mjs'),
  "awk": () => import('./languages/awk.mjs'),
  "ballerina": () => import('./languages/ballerina.mjs'),
  "bat": () => import('./languages/bat.mjs'),
  "beancount": () => import('./languages/beancount.mjs'),
  "berry": () => import('./languages/berry.mjs'),
  "bibtex": () => import('./languages/bibtex.mjs'),
  "bicep": () => import('./languages/bicep.mjs'),
  "blade": () => import('./languages/blade.mjs'),
  "c": () => import('./languages/c.mjs'),
  "cadence": () => import('./languages/cadence.mjs'),
  "clarity": () => import('./languages/clarity.mjs'),
  "clojure": () => import('./languages/clojure.mjs'),
  "cmake": () => import('./languages/cmake.mjs'),
  "cobol": () => import('./languages/cobol.mjs'),
  "codeql": () => import('./languages/codeql.mjs'),
  "coffee": () => import('./languages/coffee.mjs'),
  "cpp": () => import('./languages/cpp.mjs'),
  "crystal": () => import('./languages/crystal.mjs'),
  "csharp": () => import('./languages/csharp.mjs'),
  "css": () => import('./languages/css.mjs'),
  "cue": () => import('./languages/cue.mjs'),
  "cypher": () => import('./languages/cypher.mjs'),
  "d": () => import('./languages/d.mjs'),
  "dart": () => import('./languages/dart.mjs'),
  "dax": () => import('./languages/dax.mjs'),
  "diff": () => import('./languages/diff.mjs'),
  "docker": () => import('./languages/docker.mjs'),
  "dream-maker": () => import('./languages/dream-maker.mjs'),
  "elixir": () => import('./languages/elixir.mjs'),
  "elm": () => import('./languages/elm.mjs'),
  "erb": () => import('./languages/erb.mjs'),
  "erlang": () => import('./languages/erlang.mjs'),
  "fish": () => import('./languages/fish.mjs'),
  "fsharp": () => import('./languages/fsharp.mjs'),
  "gdresource": () => import('./languages/gdresource.mjs'),
  "gdscript": () => import('./languages/gdscript.mjs'),
  "gdshader": () => import('./languages/gdshader.mjs'),
  "gherkin": () => import('./languages/gherkin.mjs'),
  "git-commit": () => import('./languages/git-commit.mjs'),
  "git-rebase": () => import('./languages/git-rebase.mjs'),
  "glimmer-js": () => import('./languages/glimmer-js.mjs'),
  "glimmer-ts": () => import('./languages/glimmer-ts.mjs'),
  "glsl": () => import('./languages/glsl.mjs'),
  "gnuplot": () => import('./languages/gnuplot.mjs'),
  "go": () => import('./languages/go.mjs'),
  "graphql": () => import('./languages/graphql.mjs'),
  "groovy": () => import('./languages/groovy.mjs'),
  "hack": () => import('./languages/hack.mjs'),
  "haml": () => import('./languages/haml.mjs'),
  "handlebars": () => import('./languages/handlebars.mjs'),
  "haskell": () => import('./languages/haskell.mjs'),
  "hcl": () => import('./languages/hcl.mjs'),
  "hjson": () => import('./languages/hjson.mjs'),
  "hlsl": () => import('./languages/hlsl.mjs'),
  "html": () => import('./languages/html.mjs'),
  "http": () => import('./languages/http.mjs'),
  "imba": () => import('./languages/imba.mjs'),
  "ini": () => import('./languages/ini.mjs'),
  "java": () => import('./languages/java.mjs'),
  "javascript": () => import('./languages/javascript.mjs'),
  "jinja-html": () => import('./languages/jinja-html.mjs'),
  "jison": () => import('./languages/jison.mjs'),
  "json": () => import('./languages/json.mjs'),
  "json5": () => import('./languages/json5.mjs'),
  "jsonc": () => import('./languages/jsonc.mjs'),
  "jsonl": () => import('./languages/jsonl.mjs'),
  "jsonnet": () => import('./languages/jsonnet.mjs'),
  "jssm": () => import('./languages/jssm.mjs'),
  "jsx": () => import('./languages/jsx.mjs'),
  "julia": () => import('./languages/julia.mjs'),
  "kotlin": () => import('./languages/kotlin.mjs'),
  "kusto": () => import('./languages/kusto.mjs'),
  "latex": () => import('./languages/latex.mjs'),
  "less": () => import('./languages/less.mjs'),
  "liquid": () => import('./languages/liquid.mjs'),
  "lisp": () => import('./languages/lisp.mjs'),
  "logo": () => import('./languages/logo.mjs'),
  "lua": () => import('./languages/lua.mjs'),
  "make": () => import('./languages/make.mjs'),
  "markdown": () => import('./languages/markdown.mjs'),
  "marko": () => import('./languages/marko.mjs'),
  "matlab": () => import('./languages/matlab.mjs'),
  "mdx": () => import('./languages/mdx.mjs'),
  "mermaid": () => import('./languages/mermaid.mjs'),
  "narrat": () => import('./languages/narrat.mjs'),
  "nextflow": () => import('./languages/nextflow.mjs'),
  "nginx": () => import('./languages/nginx.mjs'),
  "nim": () => import('./languages/nim.mjs'),
  "nix": () => import('./languages/nix.mjs'),
  "objective-c": () => import('./languages/objective-c.mjs'),
  "objective-cpp": () => import('./languages/objective-cpp.mjs'),
  "ocaml": () => import('./languages/ocaml.mjs'),
  "pascal": () => import('./languages/pascal.mjs'),
  "perl": () => import('./languages/perl.mjs'),
  "php": () => import('./languages/php.mjs'),
  "plsql": () => import('./languages/plsql.mjs'),
  "postcss": () => import('./languages/postcss.mjs'),
  "powerquery": () => import('./languages/powerquery.mjs'),
  "powershell": () => import('./languages/powershell.mjs'),
  "prisma": () => import('./languages/prisma.mjs'),
  "prolog": () => import('./languages/prolog.mjs'),
  "proto": () => import('./languages/proto.mjs'),
  "pug": () => import('./languages/pug.mjs'),
  "puppet": () => import('./languages/puppet.mjs'),
  "purescript": () => import('./languages/purescript.mjs'),
  "python": () => import('./languages/python.mjs'),
  "r": () => import('./languages/r.mjs'),
  "raku": () => import('./languages/raku.mjs'),
  "razor": () => import('./languages/razor.mjs'),
  "reg": () => import('./languages/reg.mjs'),
  "rel": () => import('./languages/rel.mjs'),
  "riscv": () => import('./languages/riscv.mjs'),
  "rst": () => import('./languages/rst.mjs'),
  "ruby": () => import('./languages/ruby.mjs'),
  "rust": () => import('./languages/rust.mjs'),
  "sas": () => import('./languages/sas.mjs'),
  "sass": () => import('./languages/sass.mjs'),
  "scala": () => import('./languages/scala.mjs'),
  "scheme": () => import('./languages/scheme.mjs'),
  "scss": () => import('./languages/scss.mjs'),
  "shaderlab": () => import('./languages/shaderlab.mjs'),
  "shellscript": () => import('./languages/shellscript.mjs'),
  "smalltalk": () => import('./languages/smalltalk.mjs'),
  "solidity": () => import('./languages/solidity.mjs'),
  "sparql": () => import('./languages/sparql.mjs'),
  "sql": () => import('./languages/sql.mjs'),
  "ssh-config": () => import('./languages/ssh-config.mjs'),
  "stata": () => import('./languages/stata.mjs'),
  "stylus": () => import('./languages/stylus.mjs'),
  "svelte": () => import('./languages/svelte.mjs'),
  "swift": () => import('./languages/swift.mjs'),
  "system-verilog": () => import('./languages/system-verilog.mjs'),
  "tasl": () => import('./languages/tasl.mjs'),
  "tcl": () => import('./languages/tcl.mjs'),
  "tex": () => import('./languages/tex.mjs'),
  "toml": () => import('./languages/toml.mjs'),
  "tsx": () => import('./languages/tsx.mjs'),
  "turtle": () => import('./languages/turtle.mjs'),
  "twig": () => import('./languages/twig.mjs'),
  "typescript": () => import('./languages/typescript.mjs'),
  "v": () => import('./languages/v.mjs'),
  "vb": () => import('./languages/vb.mjs'),
  "verilog": () => import('./languages/verilog.mjs'),
  "vhdl": () => import('./languages/vhdl.mjs'),
  "viml": () => import('./languages/viml.mjs'),
  "vue-html": () => import('./languages/vue-html.mjs'),
  "vue": () => import('./languages/vue.mjs'),
  "vyper": () => import('./languages/vyper.mjs'),
  "wasm": () => import('./languages/wasm.mjs'),
  "wenyan": () => import('./languages/wenyan.mjs'),
  "wgsl": () => import('./languages/wgsl.mjs'),
  "wolfram": () => import('./languages/wolfram.mjs'),
  "xml": () => import('./languages/xml.mjs'),
  "xsl": () => import('./languages/xsl.mjs'),
  "yaml": () => import('./languages/yaml.mjs'),
  "zenscript": () => import('./languages/zenscript.mjs')
};
const bundledLanguagesAlias = {
  "batch": bundledLanguagesBase["bat"],
  "be": bundledLanguagesBase["berry"],
  "cdc": bundledLanguagesBase["cadence"],
  "clj": bundledLanguagesBase["clojure"],
  "ql": bundledLanguagesBase["codeql"],
  "c#": bundledLanguagesBase["csharp"],
  "cs": bundledLanguagesBase["csharp"],
  "cql": bundledLanguagesBase["cypher"],
  "dockerfile": bundledLanguagesBase["docker"],
  "erl": bundledLanguagesBase["erlang"],
  "f#": bundledLanguagesBase["fsharp"],
  "fs": bundledLanguagesBase["fsharp"],
  "gjs": bundledLanguagesBase["glimmer-js"],
  "gts": bundledLanguagesBase["glimmer-ts"],
  "hbs": bundledLanguagesBase["handlebars"],
  "hs": bundledLanguagesBase["haskell"],
  "properties": bundledLanguagesBase["ini"],
  "js": bundledLanguagesBase["javascript"],
  "fsl": bundledLanguagesBase["jssm"],
  "kql": bundledLanguagesBase["kusto"],
  "makefile": bundledLanguagesBase["make"],
  "md": bundledLanguagesBase["markdown"],
  "nar": bundledLanguagesBase["narrat"],
  "nf": bundledLanguagesBase["nextflow"],
  "objc": bundledLanguagesBase["objective-c"],
  "ps": bundledLanguagesBase["powershell"],
  "ps1": bundledLanguagesBase["powershell"],
  "jade": bundledLanguagesBase["pug"],
  "py": bundledLanguagesBase["python"],
  "perl6": bundledLanguagesBase["raku"],
  "rb": bundledLanguagesBase["ruby"],
  "rs": bundledLanguagesBase["rust"],
  "shader": bundledLanguagesBase["shaderlab"],
  "bash": bundledLanguagesBase["shellscript"],
  "console": bundledLanguagesBase["shellscript"],
  "sh": bundledLanguagesBase["shellscript"],
  "shell": bundledLanguagesBase["shellscript"],
  "zsh": bundledLanguagesBase["shellscript"],
  "styl": bundledLanguagesBase["stylus"],
  "ts": bundledLanguagesBase["typescript"],
  "cmd": bundledLanguagesBase["vb"],
  "vim": bundledLanguagesBase["viml"],
  "vimscript": bundledLanguagesBase["viml"],
  "vy": bundledLanguagesBase["vyper"],
  "\u6587\u8A00": bundledLanguagesBase["wenyan"],
  "yml": bundledLanguagesBase["yaml"]
};
const bundledLanguages = {
  ...bundledLanguagesBase,
  ...bundledLanguagesAlias
};

export { bundledLanguages, bundledLanguagesAlias, bundledLanguagesBase };
